<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="admin" tagdir="/WEB-INF/tags/admin" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>

<c:set var="addLinkStyle">padding-left:1.5em; background:url('<c:url value='/img/add.gif'/>') no-repeat;</c:set>
<c:set var="iprPathModalDialogStyle">
  width: 22em;
</c:set>

<props:iprSettings/>

<l:settingsGroup title="Additional Pre/Post Processing (Ant)">
  <tr>
    <td colspan="2">
      <span class="smallNote">Using the settings below, you can run some additional
        Ant scripts before/after the build. Specified path to Ant file should be
        relative to the checkout directory. Target field may be left empty.</span>
    </td>
  </tr>
  <props:iprAntScript prefix="pre" label="Run before build"/>
  <props:iprAntScript prefix="post" label="Run after build"/>
</l:settingsGroup>

<l:settingsGroup title="JUnit Test Runner Settings">
<tr>
  <th><label>Tests patterns:<bs:help file="Ipr" anchor="testpatterns"/> </label></th>
  <td><span><props:multilineProperty expanded="${not empty propertiesBean.properties['tests.properties']}" name="tests.properties" rows="6" cols="40" linkTitle="Type the tests patterns (separate each pattern with new line)"/></span>
  <label for="ipr.search.in.tests.only">Search for tests:</label>
  <props:selectProperty name="ipr.search.in.tests.only" id="ipr.search.in.tests.only">
    <props:option value="">throughout all project sources</props:option>
    <props:option value="true">in test sources only</props:option>      
    </props:selectProperty></td>
</tr>

<tr>
  <th class="noBorder"><label>Classpath in tests:<bs:help file="Ipr" anchor="testclasspath"/> </label></th>
  <c:set var="onclick">$('ipr.runner.classpath.module').disabled = !$('ipr.runner.override.classpath').checked; BS.VisibilityHandlers.updateVisibility('ipr.runner.classpath.module')</c:set>
  <td class="noBorder"><props:checkboxProperty name="ipr.runner.override.classpath" onclick="${onclick}"/><label for="ipr.runner.override.classpath">Override classpath in tests</label>
    <span class="smallNote">
      If the option is selected, the test classpath will be taken from the single module you have to specify below.
    </span></td>
</tr>

<tr>
  <th><label for="ipr.runner.classpath.module">Module name to use JDK and classpath from:</label></th>
  <td><props:textProperty name="ipr.runner.classpath.module" className="longField" disabled="${empty propertiesBean.properties['ipr.runner.override.classpath']}"/>
    <span class="error" id="error_ipr.runner.classpath.module"></span></td>
</tr>

<tr>
  <th><label for="forkmode">JUnit fork mode:</label></th>
  <td class="forkModeOptions"><select id="forkmode" onchange="{
      $('junit.forkmode').value = this.options[this.selectedIndex].value;
      $('junit.jvm.container').style.display = this.selectedIndex == 0 ? 'none' : 'block';
      $('junit.includeantruntime.container').style.display = this.selectedIndex == 0 ? 'none' : 'block';
      $('junit.reloading.container').style.display = this.selectedIndex > 0 ? 'none' : 'block';
      BS.MultilineProperties.updateVisible();
    }">
      <option value="" ${empty propertiesBean.properties['junit.forkmode'] ? "selected='selected'" : ""}>Do not fork</option>
      <option value="perTest" ${propertiesBean.properties['junit.forkmode'] == 'perTest' ? "selected='selected'" : ""}>Fork per-test</option>
      <option value="once" ${propertiesBean.properties['junit.forkmode'] == 'once' ? "selected='selected'" : ""}>Fork once</option>
    </select>

    <div id="junit.includeantruntime.container" style="display: ${empty propertiesBean.properties['junit.forkmode'] ? 'none' : 'block'}">
      <props:checkboxProperty name="junit.includeantruntime"/>
    <label for="junit.includeantruntime">Include Ant runtime</label>
    </div>

    <div id="junit.reloading.container" style="display: ${not empty propertiesBean.properties['junit.forkmode'] ? 'none' : 'block'}">
      <props:checkboxProperty name="junit.reloading"/>
    <label for="junit.reloading">New classloader instance for each test</label>
    </div>

    <div id="junit.jvm.container" style="display: ${empty propertiesBean.properties['junit.forkmode'] ? 'none' : 'block'}">
      <label for="junit.jvm">Command to invoke JVM:</label> <props:textProperty name="junit.jvm" style="width:19em;" />
    </div>

    </td>
</tr>

<tr>
  <th><label for="stopOnError">Stop build on error:</label></th>
  <td><select id="stopOnError" onchange="{
      $('junit.haltonfailure').value = '';
      $('junit.haltonerror').value = '';

      var hiddenPropId = this.options[this.selectedIndex].value;
      if (value != '') {
         $(hiddenPropId).value = 'true';
      }
    }">
      <option value="" ${empty propertiesBean.properties['junit.haltonfailure'] and empty propertiesBean.properties['junit.haltonerror'] ? "selected='selected'" : ""}>Do not stop</option>
      <option value="junit.haltonfailure" ${not empty propertiesBean.properties['junit.haltonfailure'] and empty propertiesBean.properties['junit.haltonerror'] ? "selected='selected'" : ""}>Stop on error or failure</option>
      <option value="junit.haltonerror" ${not empty propertiesBean.properties['junit.haltonerror'] and empty propertiesBean.properties['junit.haltonfailure'] ? "selected='selected'" : ""}>Stop on error only</option>
    </select></td>
</tr>

<props:hiddenProperty name="junit.fork"/>
<props:hiddenProperty name="junit.forkmode"/>
<props:hiddenProperty name="junit.haltonerror"/>
<props:hiddenProperty name="junit.haltonfailure"/>


<tr>
  <th><label>JVM command line parameters for JUnit:</label></th>
  <td><span><props:multilineProperty expanded="${not empty propertiesBean.properties['junit.jvmargs']}" name="junit.jvmargs" rows="6" cols="40" linkTitle="Type the JVM parameters (separate each parameter with new line)"/></span></td>
</tr>

<tr>
  <th><label for="junit.dir">Tests working dir:</label></th>
  <td><props:textProperty name="junit.dir" className="longField" /></td>
</tr>

<tr>
  <th><label for="junit.timeout">Tests timeout:</label></th>
  <td><props:textProperty name="junit.timeout" style="width:8em;" maxlength="20"/>
    <span class="error" id="error_junit.timeout"></span>
    <span class="smallNote">Cancel the individual tests if they don't finish in the given time (measured in
      milliseconds).
    </span></td>
</tr>
<props:runRiskGroupTestsFirst/>

</l:settingsGroup>

<l:settingsGroup title="Ant Parameters">
  <tr>
    <td colspan="2">
      <span class="smallNote">Internally IPR runner uses Ant to build project. You can customize some of the Ant parameters here.</span>
    </td>
  </tr>
  <tr>
    <th>Verbose Ant:</th>
    <td><props:checkboxProperty name="ipr.verbose"/><label for="ipr.verbose">Enable "verbose" mode in Ant</label></td>
  </tr>
</l:settingsGroup>

