<%--
  ~ Copyright (c) 2006, JetBrains, s.r.o. All Rights Reserved.
  --%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>

<props:displayIdeaSettingsValue />

<div class="parameter">
  Tests patterns: <props:displayValue name="tests.properties" emptyValue="&lt;empty&gt;" showInPopup="true" popupLinkText="view tests patterns" popupTitle="Tests patterns"/>
</div>

<div class="parameter">
  Override classpath in tests:
  <c:choose>
    <c:when test="${propertiesBean.properties['ipr.runner.override.classpath']}"><strong>ON</strong></c:when>
    <c:otherwise><strong>OFF</strong></c:otherwise>
  </c:choose>
</div>

<c:if test="${propertiesBean.properties['ipr.runner.override.classpath']}">
<div class="nestedParameter">
  Module name to use JDK and classpath from: <props:displayValue name="ipr.runner.classpath.module" emptyValue="not specified"/>
</div>
</c:if>

<div class="parameter">
  JUnit fork mode:
  <c:choose>
    <c:when test="${empty propertiesBean.properties['junit.forkmode']}">
      <strong>do not fork</strong>
    </c:when>
    <c:when test="${propertiesBean.properties['junit.forkmode'] == 'perTest'}">
      <strong>fork per-test</strong>
    </c:when>
    <c:when test="${propertiesBean.properties['junit.forkmode'] == 'once'}">
      <strong>fork once</strong>
    </c:when>
  </c:choose>
</div>

<c:if test="${not empty propertiesBean.properties['junit.forkmode']}">
  <div class="nestedParameter">
    Include Ant runtime:
    <c:choose>
      <c:when test="${propertiesBean.properties['junit.includeantruntime']}"><strong>ON</strong></c:when>
      <c:otherwise><strong>OFF</strong></c:otherwise>
    </c:choose>
  </div>
</c:if>

<c:if test="${empty propertiesBean.properties['junit.forkmode']}">
  <div class="nestedParameter">
    New classloader instance for each test:
    <c:choose>
      <c:when test="${propertiesBean.properties['junit.reloading']}"><strong>ON</strong></c:when>
      <c:otherwise><strong>OFF</strong></c:otherwise>
    </c:choose>
  </div>
</c:if>

<c:if test="${not empty propertiesBean.properties['junit.forkmode']}">
  <div class="nestedParameter">
    JVM executable: <props:displayValue name="junit.jvm" emptyValue="not specified"/>
  </div>
</c:if>

<div class="parameter">
  Stop build on error:
  <c:choose>
    <c:when test="${propertiesBean.properties['junit.haltonfailure'] != true and propertiesBean.properties['junit.haltonerror'] != true}">
      <strong>do not stop</strong>
    </c:when>
    <c:when test="${propertiesBean.properties['junit.haltonfailure'] == true and propertiesBean.properties['junit.haltonerror'] != true}">
      <strong>stop on error or failure</strong>
    </c:when>
    <c:when test="${propertiesBean.properties['junit.haltonerror'] == true and propertiesBean.properties['junit.haltonfailure'] != true}">
      <strong>stop on error only</strong>
    </c:when>
  </c:choose>
</div>

<props:viewJvmArgs/>

<div class="parameter">
  Run Ant script before build: <props:displayValue name="pre-ant-file" emptyValue="not specified"/>, target: <props:displayValue name="pre-ant-target" emptyValue="not specified"/>
</div>

<div class="parameter">
  Run Ant script after build: <props:displayValue name="post-ant-file" emptyValue="not specified"/>, target: <props:displayValue name="post-ant-target" emptyValue="not specified"/>
</div>

<div class="parameter">
  JVM command line parameters for JUnit: <props:displayValue name="junit.jvmargs" emptyValue="<empty>" showInPopup="true" popupLinkText="view" popupTitle="JVM parameters for JUnit"/>
</div>

<div class="parameter">
  Tests working dir: <props:displayValue name="junit.dir" emptyValue="not specified"/>
</div>

<div class="parameter">
  Tests timeout: <props:displayValue name="junit.timeout" emptyValue="not specified"/>
</div>
<props:viewRunRiskGroupTestsFirst/>

<div class="parameter">
  Verbose Ant: 
  <c:choose>
    <c:when test="${propertiesBean.properties['ipr.verbose']}"><strong>ON</strong></c:when>
    <c:otherwise><strong>OFF</strong></c:otherwise>
  </c:choose>
</div>
